classification
Title: upload command fails to read auth information from .pypirc
Type: Stage: resolved
Components: Distutils Versions: Python 3.2
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: tarek Nosy List: catherine, catherinedevlin, eric.araujo, freakboy3742, jaraco, steve.dower, tarek
Priority: normal Keywords:

Created on 2011-03-11 22:27 by jaraco, last changed 2021-02-03 18:37 by steve.dower. This issue is now closed.

Messages (6)
msg130633 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2011-03-11 22:27
It appears that distutils isn't loading the authentication information from .pypirc. I ran this test on Python 3.2 64-bit on Windows.

PS C:\Users\jaraco\projects\hgtools> python -m pdb setup.py sdist upload
> c:\users\jaraco\projects\hgtools\setup.py(7)<module>()
-> """
(Pdb) b distutils/command/upload.py:179
Breakpoint 1 at c:\python\lib\distutils\command\upload.py:179
(Pdb) c
running sdist
running egg_info
# lines elided
Writing hgtools-1.0b1\setup.cfg
creating 'dist\hgtools-1.0b1.zip' and adding 'hgtools-1.0b1' to it
adding 'hgtools-1.0b1\.hgignore'
# lines elided
removing 'hgtools-1.0b1' (and everything under it)
running upload
Submitting dist\hgtools-1.0b1.zip to http://pypi.python.org/pypi
> c:\python\lib\distutils\command\upload.py(179)upload_file()
-> loglevel = log.INFO
(Pdb) auth
'Basic Og=='
(Pdb) user_pass
b':'
(Pdb) c
Upload failed (401): You must be identified to edit package information
The program finished and will be restarted
> c:\users\jaraco\projects\hgtools\setup.py(7)<module>()

I have a valid .pypirc that works in Python 2.7:

C:\Users\jaraco\projects\hgtools> cat C:\Users\jaraco\.pypirc
[server-login]
username=jason.coombs
password=omitted

[distutils]
index-servers =
    pypi

[pypi]
username: jaraco
password: omitted


I tried adding repository=http://www.python.org/pypi in [pypi], or supplying -r http://www.python.org/pypi, but that had no effect.

I tried adding -r pypi, but that elicited a new error.
msg141323 - (view) Author: Catherine Devlin (catherine) Date: 2011-07-29 00:02
This blog post

http://justcramer.com/2009/04/02/problems-uploading-packages-with-setuptools-on-os-x/

describes working around the same problem by replacing [pypi] in .pypirc with [server-login].  Is that the problem, a change in .pypirc formats?
msg141324 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2011-07-29 00:32
I don't believe that's the issue. The [server-login] is for Python 2.5 and earlier. Also note that I already had [server-login] in the .pypirc when the error occurred, so I don't think that's a factor either.

This same .pypirc works just fine on Python 2.5, 2.6, and 2.7, so I believe the regression is somewhere in the Python 3 line.
msg141362 - (view) Author: √Čric Araujo (eric.araujo) * (Python committer) Date: 2011-07-29 12:43
Can you set DISTUTILS_DEBUG in your environment, retry to run the command and post the output?
msg144446 - (view) Author: Russell Keith-Magee (freakboy3742) * Date: 2011-09-23 14:50
This isn't just a Python 3 issue -- I'm seeing this with the default Python install on OS X Snow Leopard (i.e. Python 2.6.1). Changing the .pypirc config line to [server-login] fixed the problem for me, too.
msg386449 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:37
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:37:44steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386449

resolution: out of date
stage: resolved
2011-09-23 14:50:33freakboy3742setnosy: + freakboy3742
messages: + msg144446
2011-07-29 12:43:56eric.araujosetmessages: + msg141362
2011-07-29 00:32:08jaracosetmessages: + msg141324
2011-07-29 00:02:44catherinesetnosy: + catherinedevlin, catherine
messages: + msg141323
2011-03-11 22:27:09jaracocreate